--- title: "Get feature list" slug: "nclue-getfeaturelist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-getfeaturelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get feature list Available in VPC Get the list of created features. You can check the detailed information of all retrieved features. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /features | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `index` | Integer | Optional | Start location of the list - Default: 0 | | `limit` | Integer | Optional | List output limit value - 1-100 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/features?index=0&limit=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `index` | Integer | - | Start location of the list | | `limit` | Integer | - | List output limit value | | `total` | Integer | - | Number of retrieved features | | `features` | Array | - | Feature list: [features](/docs/en/nclue-getfeaturelist#features) | #### `features` The following describes `features`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `feature_id` | String | - | Feature ID | | `feature_name` | String | - | Feature name | | `status` | String | - | Feature status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Feature creation request date and time - ISO 8601 format | | `completed_at` | String | - | Feature creation completion date and time - ISO 8601 format | | `source_bucket` | String | - | Bucket name of Object Storage where the sequence dataset file is stored | | `source_file_path` | String | - | Path of the sequence dataset file in `source_bucket` | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `user_count` | Integer | - | Number of users of the sequence dataset | | `token_count` | Integer | - | Number of tokens of the sequence dataset | | `disk_usage` | Integer | - | Capacity (byte) of the feature | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "index": 0, "limit": 20, "total": 6, "features": [ { "feature_id": "e48585fd-****-****-****-754aa0b7ba82", "feature_name":"YOUR_FEATURE_NAME", "status":"completed", "created_at": "2024-10-08T08:08:08", "completed_at": "2024-10-08T08:37:12", "source_bucket":"YOUR_BUCKET_NAME", "source_file_path":"path/filename", "nclue_model_name": "NFM2", "nclue_model_status": "active", "user_count": 1048371, "token_count": 83704912, "disk_usage": 70295634, "fail_message": null }, // (Omitted) ] } ```